org.eclipse.incquery.runtime.base.api

## Class QueryResultAssociativeStore<KeyType,ValueType>

- java.lang.Object
- - org.eclipse.incquery.runtime.base.api.QueryResultAssociativeStore<KeyType,ValueType>

- Direct Known Subclasses:
    QueryResultMap, QueryResultMultimap

      public abstract class QueryResultAssociativeStore<KeyType,ValueType>
      extends java.lang.Object

  Author:
    Abel Hegedus

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `QueryResultAssociativeStore()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addCallbackOnQueryResultUpdate(IQueryResultUpdateListener<KeyType,ValueType> listener, boolean fireNow)` Registers a listener for this query result associative store that is invoked every time when a key-value pair is inserted or removed from the associative store.
    `void` | `removeCallbackOnQueryResultUpdate(IQueryResultUpdateListener<KeyType,ValueType> listener)` Unregisters a callback registered by `addCallbackOnQueryResultUpdate(IQueryResultUpdateListener, boolean)` .
    `void` | `setQueryResultSetter(IQueryResultSetter<KeyType,ValueType> setter)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### QueryResultAssociativeStore

          public QueryResultAssociativeStore()

  - ### Method Detail

    - #### addCallbackOnQueryResultUpdate

          public void addCallbackOnQueryResultUpdate(IQueryResultUpdateListener<KeyType,ValueType> listener,
                                                     boolean fireNow)

      Registers a listener for this query result associative store that is invoked every time when a key-value pair is inserted or removed from the associative store.

      The listener can be unregistered via `removeCallbackOnQueryResultUpdate(IQueryResultUpdateListener)`.

      Parameters:
        `listener` - the listener that will be notified of each key-value pair that is inserted or removed, starting from now.
        `fireNow` - if true, notifyPut will be immediately invoked on all current key-values as a one-time effect.

    - #### removeCallbackOnQueryResultUpdate

          public void removeCallbackOnQueryResultUpdate(IQueryResultUpdateListener<KeyType,ValueType> listener)

      Unregisters a callback registered by `addCallbackOnQueryResultUpdate(IQueryResultUpdateListener, boolean)` .
      Parameters:
        `listener` - the listener that will no longer be notified.

    - #### setQueryResultSetter

          public void setQueryResultSetter(IQueryResultSetter<KeyType,ValueType> setter)

      Parameters:
        `setter` - the setter to set